Provide feedback.
curl --request POST \
--url https://api.sandbox.asapp.com/autosummary/v1/feedback/free-text-summaries/{conversationId} \
--header 'Content-Type: application/json' \
--header 'asapp-api-id: <api-key>' \
--header 'asapp-api-secret: <api-key>' \
--data '
{
"externalConversationId": "01GCS2XA9447BCQANJF2SXXVA0",
"summaryId": "0083d936-ff70-49fc-ac19-74f1246d8b27",
"summaryText": "The customer has issues with his symmetric internet service.\nThe customer explained the service has not enough bandwidth.\nThe customer explained the service has not enough bandwidth.\nThe agent explained how to run a diagnosis.\nThe customer ran the diagnosis.\n"
}
'import requests
url = "https://api.sandbox.asapp.com/autosummary/v1/feedback/free-text-summaries/{conversationId}"
payload = {
"externalConversationId": "01GCS2XA9447BCQANJF2SXXVA0",
"summaryId": "0083d936-ff70-49fc-ac19-74f1246d8b27",
"summaryText": "The customer has issues with his symmetric internet service.
The customer explained the service has not enough bandwidth.
The customer explained the service has not enough bandwidth.
The agent explained how to run a diagnosis.
The customer ran the diagnosis.
"
}
headers = {
"asapp-api-id": "<api-key>",
"asapp-api-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'asapp-api-id': '<api-key>',
'asapp-api-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
externalConversationId: '01GCS2XA9447BCQANJF2SXXVA0',
summaryId: '0083d936-ff70-49fc-ac19-74f1246d8b27',
summaryText: 'The customer has issues with his symmetric internet service.\nThe customer explained the service has not enough bandwidth.\nThe customer explained the service has not enough bandwidth.\nThe agent explained how to run a diagnosis.\nThe customer ran the diagnosis.\n'
})
};
fetch('https://api.sandbox.asapp.com/autosummary/v1/feedback/free-text-summaries/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "400-01",
"message": "Bad request"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "401-01",
"message": "Unauthorized"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "403-01",
"message": "Forbidden Response"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "404-01",
"message": "Not Found"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "409-01",
"message": "Conflict"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "413-01",
"message": "Request Entity Too Large"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "422-01",
"message": "Unprocessable Entity"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "429-01",
"message": "Too Many Requests"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "503-01",
"message": "Service Unavailable"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "500-01",
"message": "Internal server error"
}
}Free Text Summary
Provide feedback.
Create a feedback event with the full and updated summary. Each event is associated with a specific summary id.
The event must contain the final summary, in the form of text.
POST
/
autosummary
/
v1
/
feedback
/
free-text-summaries
/
{conversationId}
Provide feedback.
Path Parameters
The identifier for a conversation.
Pattern:
^[A-Z0-9]+$Query Parameters
Your unique identifier for the agent.
Body
application/json
Information regarding the updated free-text summary. It must contain the full updated summary as a string.
Response
Successfully accepted a feedback event for the summary.
Was this page helpful?
⌘I